[Frugalware-darcs] frugalware-current: testsuite/pkgdup.sh
VMiklos
vmiklos at frugalware.org
Mon Mar 13 20:47:09 CET 2006
[testsuite/pkgdup.sh
VMiklos <vmiklos at frugalware.org>**20060313174641
initial import
] {
addfile ./testsuite/pkgdup.sh
hunk ./testsuite/pkgdup.sh 1
+#!/bin/bash
+
+if [ "$#" -lt 1 ]; then
+ echo "searches for duplicates packages"
+ echo "usage: $0 <startdir>"
+ exit 1
+fi
+
+find $1/source -mindepth 2 -maxdepth 2 -type d|sed 's|.*/\([^/]*\)|\1|'|sort|uniq -d
+find $1/extra/source -mindepth 2 -maxdepth 2 -type d|sed 's|.*/\([^/]*\)|\1|'|sort|uniq -d
}
More information about the Frugalware-darcs
mailing list